<?php
/*
  products_uploader.php
  作成日：2003/12/2
　最終更新日：2005/9/24

　作成者：有限会社セカンドブレーン
　　　　　　青木隆平
　　　　　　ryuhei@secondbrain.co.jp

  Released under the GNU General Public License
*/

define('HEADING_TITLE', '商品一括処理');

define('ERROR_CATALOG_UPLOAD_DIRECTORY_NOT_WRITEABLE', 'エラー: アップロード先ディレクトリに書き込みできません: ' . DIR_FS_UPLOAD);
define('ERROR_CATALOG_UPLOAD_DIRECTORY_DOES_NOT_EXIST', 'エラー: アップロード先ディレクトリが存在しません: ' . DIR_FS_UPLOAD);
define('ERROR_UPLOAD_CONFIGFILE_DOSE_NOT_EXIST', 'エラー: アップロード設定ファイルが存在しません: ' . FILENAME_UPLOAD_CONFIG);
define('ERROR_DOWNLOAD_CONFIGFILE_DOSE_NOT_EXIST', 'エラー: ダウンロード設定ファイルが存在しません: ' . FILENAME_DOWNLOAD_CONFIG);
define('ERROR_UPLOADFILE_DOES_NOT_EXIST', 'エラー: アップロードファイルの指定が正しくありません。');
define('ERROR_UPLOAD_TEMPFILE_DOES_NOT_EXIST', 'エラー: アップロードファイルのチェックが完了していません。');

define('ERROR_UPLOAD_CONFIG_COLUMN_IS_EMPTY', 'エラー: 設定データに不備があります。');
define('ERROR_UPLOAD_CONFIG_SORT_ORDER_DUPLICATE', 'エラー: 並び順に重複があります。');
define('ERROR_UPLOAD_CONFIG_ID_DUPLICATE', 'エラー: アップロード項目に重複があります。');
define('ERROR_UPLOAD_DATA_DOES_NOT_EXIST', 'エラー: アップロード対象のデータではありません。');
define('ERROR_UPLOAD_FIELD_DOES_NOT_EXIST', 'エラー: アップロード対象のフィールドが存在しません。');
define('ERROR_UPLOAD_FIELD_IS_REQUIRED', 'エラー: 必須項目に必須チェックもしくは初期値がセットされていません。');

define('ERROR_DOWNLOAD_CONFIG_COLUMN_IS_EMPTY', 'エラー: 設定データに不備があります。');
define('ERROR_DOWNLOAD_CONFIG_SORT_ORDER_DUPLICATE', 'エラー: 並び順に重複があります。');
define('ERROR_DOWNLOAD_CONFIG_ID_DUPLICATE', 'エラー: ダウンロード項目に重複があります。');

define('ERROR_UPLOAD_DATA_IS_REQUIRED', 'エラー: 必須項目にデータが入っていません。');
define('ERROR_UPLOAD_DATA_IS_SHORTAGE', 'エラー: 桁数が不足しています。不足桁数（半角換算） = ');
define('ERROR_UPLOAD_DATA_IS_OVERFLOW', 'エラー: 桁数が超過しています。超過桁数（半角換算） = ');
define('ERROR_UPLOAD_DATA_IS_NOT_NUMERIC', 'エラー: 数値項目に数値以外がはいっています。内容 = ');
define('ERROR_UPLOAD_DATA_IS_NOT_DATE', 'エラー: 日付項目が0000-00-00の形式になっていないか、妥当な日付ではありません。内容 = ');
define('ERROR_UPLOAD_DATA_DOSE_NOT_EXIST', 'エラー: 指定した並び順にデータがありません。');
define('ERROR_UPLOAD_CATEGORY_DOES_NOT_EXIST', 'エラー: 登録されていないカテゴリーです。');
define('ERROR_UPLOAD_MANUFACTURER_DOES_NOT_EXIST', 'エラー: 登録されていない' . KN_CFG_USE_MANUFACTURERS . 'です。');

define('SUCCESS_UPLOAD_CONFIG_UPDATED', '成功: 設定ファイルが更新されました。');
define('SUCCESS_DOWNLOAD_CONFIG_UPDATED', '成功: 設定ファイルが更新されました。');

define('TABLE_HEADING_CONFIG_NO', 'No.');
define('TABLE_HEADING_CONFIG_NAME', '項目名(テーブル名 : フィールド名)');
define('TABLE_HEADING_CONFIG_SORT_ORDER', '並び順');
define('TABLE_HEADING_CONFIG_SELECT', '指定方法');
define('TABLE_HEADING_CONFIG_DEFAULT', '初期値');
define('TABLE_HEADING_CONFIG_MIN', '最小桁数');
define('TABLE_HEADING_CONFIG_MAX', '最大桁数');
define('TABLE_HEADING_CONFIG_REQUIRED', '必須項目');
define('TABLE_HEADING_CONFIG_ERROR_ROW', 'エラー行');
define('TABLE_HEADING_CONFIG_ERROR_MESSAGE', 'エラー事由');
define('TABLE_HEADING_CONFIG_ERROR_DATA', 'エラー項目');

define('TABLE_HEADING_PRODUCTS_COUNT', '商品総点数');
define('TABLE_HEADING_PRODUCTS_DEACTIVATE_COUNT', '品切れ点数');
define('TABLE_HEADING_UPLOAD_DATE', '登録日時');
define('TABLE_HEADING_UPLOAD_FILENAME', 'ファイル名');
define('TABLE_HEADING_UPFILE_COUNT', 'アップロード件数');
define('TABLE_HEADING_OK_COUNT', '登録可能件数');
define('TABLE_HEADING_NG_COUNT', '登録不能件数');
define('TABLE_HEADING_ERROR_COUNT', 'エラー件数');
define('TABLE_HEADING_INSERT_COUNT', '登録件数');
define('TABLE_HEADING_UPLOAD_DATA_NO', 'データNO.');
define('TABLE_HEADING_UPLOAD_ERRNO', 'エラー番号');
define('TABLE_HEADING_UPLOAD_ERROR_DATA', 'エラーデータ');
define('TABLE_HEADING_UPLOAD_ERROR', 'エラーメッセージ');

define('TEXT_ID', 'ID');
define('TEXT_NAME', 'NAME');
define('TEXT_DATA_REQUIRED', '必須');
define('TEXT_DATA_NOT_REQUIRED', '-');

define('TEXT_UPLOAD_FILE', 'アップロードファイル:');
define('TEXT_CATEGORIES_ID', 'カテゴリーID');
define('TEXT_CATEGORIES_NAME', 'カテゴリー');
define('TEXT_PRODUCTS_STATUS', '商品ステータス');
define('TEXT_PRODUCTS_DATE_AVAILABLE', '発売日');
define('TEXT_MANUFACTURERS_ID', KN_CFG_USE_MANUFACTURERS . 'ID');
define('TEXT_PRODUCTS_TAX_CLASS', '税種別');
define('TEXT_PRODUCTS_NAME', '書名');
define('TEXT_PRODUCTS_SUBTITLE', '副題');
define('TEXT_PRODUCTS_SERIES_TITLE', 'シリーズ名');
define('TEXT_PRODUCTS_DESCRIPTION', '説明文');
define('TEXT_PRODUCTS_DESCRIPTION2', '説明文２');
define('TEXT_PRODUCTS_AUTHOR', '著者');
define('TEXT_PRODUCTS_PUBLISHED', '刊行年');
define('TEXT_PRODUCTS_PUBLISHERS', '出版元');
define('TEXT_PRODUCTS_VOLUME', '冊数');
define('TEXT_PRODUCTS_QUANTITY', '在庫数');
define('TEXT_PRODUCTS_MODEL', '管理コード');
define('TEXT_PRODUCTS_IMAGE', '画像');
define('TEXT_PRODUCTS_URL', '参照URL');
define('TEXT_PRODUCTS_ISBN', 'ISBNコード');
define('TEXT_PRODUCTS_PRICE', '価格');
define('TEXT_PRODUCTS_WEIGHT', '重量');
define('TEXT_PRODUCTS_MEMO', '管理用メモ');
define('TEXT_PRODUCTS_KEYWORDS', '検索キーワード');
define('TEXT_RECOMMENDATION_ORDER', 'お勧め順');
define('TEXT_SORT_ORDER', '並び順');

define('TEXT_NO_DATA', '対象データがありませんでした。');
define('TEXT_NO_UPLOAD_DATA', 'アップロードするデータがありません。');
define('TEXT_NO_ERROR', 'アップロードデータにエラーはありません。');
define('TEXT_NO_UPLOAD_HISTORY', 'アップロード履歴はありません。');

define('TEXT_CONFIRM_ERROR_MESSAGES', 'アップロードエラーが発生しました。エラーメッセージをご確認ください。');
define('TEXT_DELETION_BY_UPLOAD_HISTORY', 'アップロード履歴による一括削除');
define('TEXT_DELETION_BY_PRODUCTS_MODEL', '管理コードによる一括削除');
define('TEXT_DELETION_BY_PRODUCTS_STATUS', '品切れ削除');
define('TEXT_PRODUCTS_DATA_DOWNLOAD', 'ダウンロード');
define('TEXT_ALL_PRODUCTS_DELETION', '全件削除');
define('TEXT_DELETE_COUNT', '対象データは%s件あります。削除しますか？');
define('TEXT_DELETE_PRODUCTS_LIST', '削除対象データ');
define('TEXT_NOTES_TO_INPUT_PRODUCTS_MODELS', '※管理コードは１行１コードで記入してください。');

define('TEXT_UPLOAD_CONFIRMATION', '更新ボタンを押すと、アップロードファイルの内容を確認します。');
define('TEXT_UPLOAD_CONFIG_ERROR_NOTICE', '上記のとおりアップロード設定ファイルにエラーがあります。アップロード設定ファイルを修正してください。');
define('TEXT_DOWNLOAD_CONFIRMATION', '送信ボタンを押すと、ダウンロードファイルの作成が開始します。');
define('TEXT_DOWNLOAD_CONFIG_ERROR_NOTICE', '上記のとおりダウンロード設定ファイルにエラーがあります。ダウンロード設定ファイルを修正してください。');

define('TEXT_UPLOAD_INSERT', '新規');
define('TEXT_UPLOAD_REPLACE', '更新');
define('TEXT_DELETE', '削除');

define('TEXT_PRODUCTS_PACKAGE_REGISTRATION', '商品一括登録');
define('TEXT_UPLOAD_CONFIRM_01', 'ステップ１：アップロードの設定確認');
define('TEXT_UPLOAD_CONFIRM_02', 'ステップ２：アップロードファイルの内容チェック');
define('TEXT_UPLOAD_CONFIRM_03', 'ステップ３：一括登録処理の完了');
define('TEXT_UPLOAD_WAS_COMPLETED', '%s件のアップロードが完了しました。');

define('TEXT_UPFILE_COUNT', 'アップロードデータ件数');
define('TEXT_UPLOAD_CONFIG', 'アップロード設定');
define('TEXT_UPLOAD_CONFIG_ERROR', 'アップロード設定エラー！');
define('TEXT_UPFILE_LANGUAGE', 'アップロード対象言語：');
define('TEXT_USE_PRODUCTS_MODEL_AS_ID', '管理コードをIDに使用：');
define('TEXT_USE_PRODUCTS_MODEL_YES_IGNORE', '使用する（ID重複時は登録しない）');
define('TEXT_USE_PRODUCTS_MODEL_YES_REPLACE', '使用する（ID重複時は置き換え）');
define('TEXT_USE_PRODUCTS_MODEL_NO', '使用しない');
define('TEXT_UPLOAD_CONFIRM', 'アップロードファイルのチェック結果');
define('TEXT_UPLOAD_RESULT', 'アップロード結果');

define('TEXT_DOWNLOAD_COUNT', 'ダウンロードデータ件数');
define('TEXT_DOWNLOAD_CONFIG', 'ダウンロード設定');
define('TEXT_DOWNLOAD_CONFIG_ERROR', 'ダウンロード設定エラー！');
define('TEXT_DOWNLOAD_LANGUAGE', 'ダウンロード対象言語：');
define('TEXT_DOWNLOAD_CONFIRM', 'ダウンロードファイルのチェック結果');
define('TEXT_DOWNLOAD_RESULT', 'ダウンロード結果');

define('TEXT_PRODUCTS_PACKAGE_DELETION', '商品一括削除');
define('TEXT_DELETE_CONFIRM', '削除の確認');

define('ERROR_INSERT_FAILED', '登録できませんでした(%s)');
define('ERROR_INSERT_INCOMPLETE', '登録が不完全です。products_id=%s(%s)');

define('TEXT_ENCODE_TYPE', 'CSVファイルの文字コード');
define('TEXT_ENCODE_TYPE_SJIS', 'シフトJIS');
define('TEXT_ENCODE_TYPE_EUC', 'EUC-JP');

define('TEXT_UPLOAD_CONFIG_COLUMN_00', '項目０：並び順');
define('TEXT_UPLOAD_CONFIG_COLUMN_01', '項目１：データ名');
define('TEXT_UPLOAD_CONFIG_COLUMN_03', '項目３：初期値');
define('TEXT_UPLOAD_CONFIG_COLUMN_04', '設定４：最小桁数');
define('TEXT_UPLOAD_CONFIG_COLUMN_05', '設定５：最大桁数');
define('TEXT_UPLOAD_CONFIG_COLUMN_06', '設定６：必須マーク');
?>